# Module 2 Specification

## Goal

This module will include its own ethers wasm implementation, so that it connects
to the Ethereum blockchain and perform some testing operations. The Goal is to 
ensure the ethers connector can be decentralized and included in the project code.
This module is important to ensure comunication with the smart contracts in a 
decentralized way.

## Dependencies
- [ ] Module 0
- [ ] Module 1

## ToDo
- [ ] Basic understading YEW
- [ ] Basic understading Ethers-rs(similar sintax to ethers-web)
- [ ] Fork main chain
- [ ] Create a base project to interact with DECA Smart Contract
- [ ] Create some general access to functions for th DECA Smart Contract

## Report

### ethers-web Specification
* [Ethers-web library](https://github.com/quay-rs/ethers-web/tree/main)[^1]
* [Ethers-rs docs](https://docs.rs/ethers/latest/ethers/index.html)[^2]


## Notes and further developments.

> Note1: Ethers-rs will be depercated in favor of [alloy](https://github.com/alloy-rs/)[^3] (yet alloy is not 
production ready).

## References

[^1]: https://github.com/quay-rs/ethers-web/tree/main
[^2]: https://docs.rs/ethers/latest/ethers/index.html
[^3]: https://github.com/alloy-rs/
